| Irrlicht 3D Engine |

Classes | Namespaces
irrArray.h File Reference
`#include "irrTypes.h"`
`#include "heapsort.h"`
`#include "irrAllocator.h"`
`#include "irrMath.h"`

Go to the source code of this file.

## Classes

- class irr::core::array< T, TAlloc >
    Self reallocating template array (like stl vector) with additional features. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::core

    Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.